/*****************************************************************
    ViewKlass - C++ framework library for Motif

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Copyright (C) 2001 John Lemcke
    jlemcke@bigfoot.com
*****************************************************************/

/**
 *
 * $Id: VkMenuAction.h,v 1.3 2001/10/27 12:37:34 jostle Exp $
 *
 * This file contains the class definition for the VkMenuAction class,
 * which is implemented as a push button gadget within the menu.
 *
 * Chris Toshok
 * Copyright (C) 1995
 * The Hungry Programmers, Inc
 * All Rights Reserved
 *
 **/

#ifndef VKMENUACTION_H
#define VKMENUACTION_H

#include <Xm/PushBG.h>
#include <Vk/VkConfig.h>
#include <Vk/VkMenuItem.h>

class VkMenuAction : public VkMenuItem {
public:
	VkMenuAction(const char *name,
				 XtCallbackProc  callback = NULL,
				 XtPointer       clientData = NULL); 

	VkMenuAction(const char *name,
				 XtCallbackProc  callback,
				 XtCallbackProc  undoCallback,
				 XtPointer       clientData = NULL); 

	virtual void undo();

	virtual void build(Widget parent);

	Boolean hasUndo() { return _undoCallback != 0; }

	virtual const char *className() { return "VkMenuAction"; }
  
	virtual Boolean isContainer() { return False; }

	virtual VkMenuItemType menuType() { return ACTION; }

	XtCallbackProc _actionCallback;
	XtCallbackProc _undoCallback;
	XtPointer _clientData;
};

#endif // VKMENUACTION_H
