/*****************************************************************
    ViewKlass - C++ framework library for Motif

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Copyright (C) 2001 John Lemcke
    jlemcke@bigfoot.com
*****************************************************************/

/**
 *
 * $Id: VkPipe.h,v 1.1.1.1 2001/08/13 13:28:02 jostle Exp $
 *
 * This file contains the class definition for VkPipe, which
 * provides an interface to unix pipes.
 *
 * Chris Toshok
 * Copyright (C) 1995
 * The Hungry Programmers, Inc
 * All Rights Reserved
 *
 **/

#ifndef VKPIPE_H
#define VKPIPE_H

#include <Vk/VkConfig.h>
#include <Vk/VkCallbackObject.h>
#include <Vk/VkInput.h>

typedef enum {READ, WRITE} End;

class VkPipe : public VkCallbackObject {
protected:
    int pipefd[2];
    VkInput* _input;

    void handleInput(VkCallbackObject *, void *, void *);

public:
    VkPipe(int &fd);

    virtual ~VkPipe();

    int operator[](End whichEnd);

    static const char *const inputCallback;
};

#endif // VKPIPE_H

